For the complete documentation index, see llms.txt. This page is also available as Markdown.

IP Validation

Service that evaluates the fraud risk associated with an IP address.

Endpoint

GET /validation/ip/{ip}

Headers

Name
Type
Required
Description

Authorization

string

Yes

Consumer Token in Bearer format Bearer <token>. See Authentication.

consumer-id

string

Yes

Consumer identifier.

Path parameters

Parameter
Type
Required
Description

ip

string

Yes

IP address to evaluate.

Responses

200 Success

Response parameters

Parameter
Type
Description

consumerId

string

Identifier of the consumer that made the call.

transactionId

string

Transaction identifier.

timestamp

string

Response timestamp in format ISO 8601.

message

string

Descriptive field for the result of the service execution.

type

string

Queried data type: IP, EMAIL or PHONE.

fraud

boolean

Indicates whether the data is considered fraudulent.

data

object

Details of the risk signals evaluated.

Other responses

Code
Description

401

Missing, invalid, or expired Token.

403

The consumer is not provisioned with the service IP_VALIDATION.

The body of an error response has the form described in MIDAPI v2.

Last updated